petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecSwap

Swaps the vectors x and y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSwap(Vec x,Vec y)

Logically Collective on Vec Many br

### Input Parameters

x, y -the vectors Many br

Many br

Level:advanced
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html